## webauth 3.7.4

=== debian/changelog ===
webauth (3.7.4-1) unstable; urgency=low

  * New upstream release.
    - New Apache directive WebAuthOptional, which does not force the user
      to authenticate if they're not already authenticated but adds the
      authentication information to the environment if they are.  Intended
      for use with dynamic content that can manage optional authentication
      through an explicit login link.
    - Work around an MIT Kerberos library bug in error reporting from
      password change and remove the previous cruder workaround that
      mapped Kerberos errors to password strength warnings.
    - Suppress certificate validation for the WebKDC in WebLogin if the
      WebKDC URL is localhost, required by libwww-perl 5.837 or later.
    - More robust generation of the pkg-config configuration file.
    - Clearer warning from WebLogin when paired with an old WebKDC.
    - Document the pt and sa key/value pairs in WebKDC logging.
  * Drop the transitional libwebauth1-dev package, required to smooth
    upgrades from lenny.  squeeze released with libwebauth-dev.
  * Update to debhelper compatibility level V8.
    - Use debhelper rule minimization with overrides.
    - Do more work in *.install files and less work in debian/rules.
  * Switch to 3.0 (quilt) source format.  Force a single Debian patch and
    include a custom patch header explaining that it is a rollup of any
    fixes cherry-picked from upstream and breaking those patches out
    separately would be work for no gain.
  * Update standards version to 3.9.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 11 May 2011 15:26:32 -0700

webauth (3.7.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Russ Allbery <rra@debian.org>  Wed, 02 Mar 2011 16:48:17 -0800

webauth (3.7.3-1) experimental; urgency=low

  * New upstream release.
    - Fix LDAP attribute retrieval for WebAuth 2.x compatibility.
    - libwebauth now provides a pkg-config configuration file.

 -- Russ Allbery <rra@debian.org>  Mon, 20 Sep 2010 17:07:48 -0700

webauth (3.7.2-1) experimental; urgency=low

  * New upstream release.
    - Fix wa_keyring option parsing problems introduced in 3.7.0.
    - Fix uninitalized variable causing wa_keyring to randomly default to
      verbose mode.
    - mod_webkdc now returns user rejected instead of a generic Kerberos
      error for attempted authentications to expired or disabled
      accounts, improving the error message displayed by WebLogin.
  * Add build dependencies on libipc-run-perl and libtimedate-perl to
    enable wa_keyring tests.
  * Update standards version to 3.9.1 (no changes required).

 -- Russ Allbery <rra@debian.org>  Thu, 12 Aug 2010 15:31:18 -0700

webauth (3.7.1-1) unstable; urgency=low

  * New upstream release.
    - Password change in WebLogin now forces re-entry of the old password
      on the same screen as the new password even if the user had just
      authenticated, with a configuration option to disable this.
    - The default proxy token lifetime is now the lifetime of the
      underlying Kerberos credential, matching the documentation, instead
      of ten hours.
    - Improve error reporting in WebLogin for password change failures.

 -- Russ Allbery <rra@debian.org>  Fri, 23 Jul 2010 12:51:43 -0700

webauth (3.7.0-1) unstable; urgency=low

  * New upstream release.
    - WebAuthLdapAuthRule in mod_webauthldap now sets environment
      variables to the value "privgroup <privgroup>" rather than the
      previous behavior of just "<privgroup>".
    - New WebAuthLdapPrivgroup directive for mod_webauthldap which probes
      user's membership in multiple privgroups and sets an environment
      variable to the list of those they're in.
    - WebAuthLdapAttribute can now take multiple attributes on one line.
    - WebLogin includes a password change script and template.
    - WebLogin now supports password expiration handling.
    - WebLogin may be configured to warn users of expiring passwords.
    - WebLogin catches SIGTERM in login.fcgi and finishes the current
      request, fixing some problems with unclean shutdown when FastCGI
      restarts the running scripts.
    - WebLogin correctly encodes RT and ST in the URL when redirecting to
      an alternate URL when attempting REMOTE_USER authentication.
    - wa_keyring now uses ISO format for timestamps.
    - Various changes and cleanup to the WebAuth library API.
    - Link wa_keyring with libcrypto properly.  (Closes: #556674)
    - Avoid importing isa from UNIVERSAL.  (Closes: #578632)
    - Lower the log level of some mod_webauth diagnostics.
  * The default help.html file is now installed into
    /usr/share/weblogin/generic/templates instead of one level higher.
  * Upstream now no longer uses apxs to install modules, so upstream
    supports DESTDIR and debian/rules can use make install instead of
    rewriting all the installation rules.
  * Drop the SONAME version from libwebauth-dev.  We'll never need to
    maintain development packages for more than one version of the ABI in
    Debian at the same time.  Add a transitional package to assist with
    upgrades.
  * Move Perl module dependencies from webauth-weblogin to libwebkdc-perl
    since the supporting modules now load the other required Perl modules.
  * Bump the versioned dependencies from webauth-weblogin and
    libwebkc-perl on libwebauth-perl and in webauth-weblogin on
    libwebkdc-perl.
  * Add an explicit dependency on liburi-perl to libwebkdc-perl.
  * Fix Perl dependencies in webauth-weblogin and webauth-tests.
  * Add a Suggests of libapache2-mod-php5 to webauth-tests.
  * Add Suggests of libtimedate-perl, libtime-duration-perl, and
    libnet-remctl-perl to libwebkdc-perl, required for now for expiring
    password warning support.
  * Downgrade the libwebauth-dev dependency on libkrb5-dev to Suggests
    since it's only required for static linking.
  * Update build dependency to libcurl4-openssl-dev.

