=== debian/control ===
Source: webauth
Section: web
Priority: optional
Maintainer: Russ Allbery <rra@debian.org>
Build-Depends: debhelper (>= 8), apache2-threaded-dev (>= 2.2),
 libcgi-fast-perl, libcurl4-openssl-dev, libhtml-template-perl,
 libipc-run-perl, libkrb5-dev, libldap2-dev, libssl-dev, libtimedate-perl,
 liburi-perl, libwww-perl, libxml-parser-perl, perl
Standards-Version: 3.9.2
Homepage: http://webauth.stanford.edu/
Vcs-Git: git://git.eyrie.org/kerberos/webauth.git
Vcs-Browser: http://git.eyrie.org/?p=kerberos/webauth.git

Package: libapache2-webauth
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
Description: Apache 2 modules for WebAuth authentication
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the Apache 2 modules to do basic authentication for
 individual web servers and to look up LDAP information using LDAP v3 with
 GSSAPI binds about the authenticated user.  Directory information can be
 used for authorization control and to populate environment variables.
 These modules should be installed on any web server using WebAuth.

Package: libapache2-webkdc
Section: httpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
Description: Apache 2 modules for a WebAuth authentication KDC
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the Apache 2 module for the central authentication
 server for a particular site.  Only one such server is needed; all web
 servers that use WebAuth will talk to this server to obtain and verify
 authentication credentials.

Package: libwebauth-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Perl library for WebAuth authentication
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the Perl bindings to the WebAuth library, which
 does token encoding and decoding and other lower-level parts of the
 WebAuth protocol.

Package: libwebauth4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries for WebAuth authentication
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the shared library used by the WebAuth modules,
 Perl bindings, and command-line utilities.  It does token encoding and
 decoding and other lower-level parts of the WebAuth protocol.

Package: libwebauth-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libwebauth4 (= ${binary:Version})
Suggests: libkrb5-dev
Replaces: libwebauth1-dev (<< 3.7.0)
Breaks: libwebauth1-dev (<< 3.7.0)
Description: Development files for WebAuth authentication
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the symlinks, headers, and static library needed to
 compile and link programs that use libwebauth.

Package: libwebkdc-perl
Section: perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwebauth-perl (>= 3.7.0),
 libcgi-fast-perl, libhtml-template-perl, libio-socket-ssl-perl,
 liburi-perl, libwww-perl, libxml-parser-perl
Suggests: libnet-remctl-perl, libtime-duration-perl, libtimedate-perl
Description: Perl libraries for WebAuth central login server
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the Perl modules that support the WebLogin server,
 which handles user authentication and the establishment of initial
 authentication credentials.

Package: webauth-tests
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libapache2-webauth
Suggests: libapache2-mod-php5
Description: Tests for the WebAuth authentication modules
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains test HTML files and Apache 2 configuration
 fragments to test a new installation of the WebAuth modules.

Package: webauth-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command-line utilities for WebAuth authentication
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains an additional command-line tool to manipulate
 WebAuth keyrings.

Package: webauth-weblogin
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libwebauth-perl (>= 3.7.0),
 libwebkdc-perl (>= 3.7.0)
Recommends: httpd-cgi
Suggests: libapache2-mod-auth-kerb
Description: Central login server for WebAuth authentication
 WebAuth is a cookie-based web authentication system built on top of
 Kerberos.  It relies on a central authentication server that handles all
 user authentication for a domain and creates user authentication
 credentials for any web server that needs strong authentication.
 .
 This package contains the CGI-based WebLogin server that handles initial
 user authentication and building authentication tokens for WebAuth
 servers.  Only one WebLogin server is needed to support a site WebAuth
 installation.  It is normally run on the same system as the WebKDC.
