=== debian/rules ===
#!/usr/bin/make -f

ifndef PERL
    PERL = /usr/bin/perl
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib --enable-webkdc \
	    --enable-perl --with-apxs=/usr/bin/apxs2 --enable-reduced-depends

override_dh_auto_build:
	dh_auto_build
	cd perl && $(PERL) Makefile.PL INSTALLDIRS=vendor
	cd perl && $(MAKE) OPTIMIZE="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install
	chmod a+x debian/tmp/usr/share/weblogin/*.fcgi
	mkdir -p debian/tmp/usr/share/perl5
	mv debian/tmp/usr/lib/perl5/WebKDC* debian/tmp/usr/share/perl5
	mv debian/tmp/usr/lib/perl5/WebLogin* debian/tmp/usr/share/perl5

override_dh_installchangelogs:
	dh_installchangelogs NEWS
