=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,9 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_fixperms:
+	dh_fixperms
+	set -e; if [ -d 'debian/libwebkdc-perl/var/cache/weblogin' ] ; then \
+	    chown www-data:www-data debian/libwebkdc-perl/var/cache/weblogin; \
+	fi
