## webauth 4.0.2

=== debian/changelog ===
webauth (4.0.2-1) unstable; urgency=low

  * New upstream release.
    - Fix setting of the REMOTE_USER preference cookie in WebLogin.
    - Ignore undefined cookies in WebLogin to reduce error logs.
    - Document factor codes in the mod_webauth manual.
  * Remove ${shlibs:Depends} from libwebauth-dev dependencies to remove a
    warning.  This package won't contain compiled binaries.

 -- Russ Allbery <rra@debian.org>  Fri, 02 Dec 2011 21:01:09 -0800
