## webauth 4.1.1

=== debian/changelog ===
webauth (4.1.1-2ubuntu1) raring; urgency=low

  * Added missing libs to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 Apr 2013 00:34:12 -0400

webauth (4.1.1-2) unstable; urgency=low

  * Add Breaks of libwebkdc-perl and webauth-weblogin << 4.0.0 to
    libwebauth-perl and of webauth-weblogin << 4.0.0 to libwebkdc-perl.
    The API of the Perl modules changed in 4.0.0.  Thanks, Dameon Wagner.
    (Closes: #691878)

 -- Russ Allbery <rra@debian.org>  Sun, 04 Nov 2012 13:57:09 -0800

webauth (4.1.1-1) unstable; urgency=low

  * New upstream release (no Apache 2.4 support yet; that's next).
    - Fix webauth_user_info bug in interpreting login history timestamps.
    - Fix login history timestamp handling in sample confirm template.
    - Suppress history and token rights in sample confirm template when
      those data elements are empty.  (Closes: #664735)
    - Add explicit HTML filters to all sample template variable
      interpolations as an additional security measure.
    - Update the mod_webkdc manual for changes in 4.1.0.
  * If Apache is running and has the module loaded, restart Apache on
    configure of libapache2-webauth or libapache2-webkdc.
  * Remove the conditional around the postinst actions for
    libapache2-webauth and libapache2-webkdc and just always configure the
    package.  This is at least arguably more correct for the various abort
    cases, is simpler, and shouldn't hurt.

 -- Russ Allbery <rra@debian.org>  Wed, 25 Apr 2012 14:41:39 -0700

webauth (4.1.0-1) unstable; urgency=low

  * New upstream release.
    - New mod_webkdc WebKdcUserInfoTimeout option to set a network timeout
      for user information service queries.  The new default is 30
      seconds.
    - New mod_webkdc WebKdcUserInfoIgnoreFail error to allow users to
      authenticate with password and use pre-existing single sign-on
      cookies even if the user information service is down.  Be aware that
      this can allow bypassing a centrally-mandated multifactor
      requirement.
    - Use remctl_set_ccache instead of setting KRB5CCNAME when available
      to avoid memory leaks on calling the user information service and to
      not leak settings across threads.
    - Fix WebLogin error handling when the password field is left blank.
    - Fix WebLogin error handling of empty usernames.
    - Drop library support for base64-encoded token attributes (which was
      never used by WebAuth).
    - Drop webauth_info_{build,version} library APIs.
    - Document Apache/Tomcat security interaction around URL parsing in
      the mod_webauth manual.  This affects any Apache security mechanism
      used in conjunction with Tomcat.
  * Bump libremctl-dev build dependency to >= 3.1 for consistent builds.
  * Add Build-Depends-Package to the symbols file for better dependency
    handling.
  * Update standards version to 3.9.3 (no changes required).

 -- Russ Allbery <rra@debian.org>  Thu, 15 Mar 2012 16:18:41 -0700
