=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: webauth
 Section: web
 Priority: optional
-Maintainer: Russ Allbery <rra@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russ Allbery <rra@debian.org>
 Build-Depends: debhelper (>= 8), apache2-threaded-dev (>= 2.2),
  libapr1-dev, libaprutil1-dev, libcgi-application-perl,
  libcgi-application-perl (>= 4.50) |
@@ -13,9 +14,9 @@
  libcgi-application-plugin-tt-perl |
  libcgi-application-extra-plugin-bundle-perl,
  libcgi-fast-perl, libcurl4-openssl-dev, libipc-run-perl, libkrb5-dev,
- libldap2-dev, libremctl-dev, libssl-dev, libtemplate-perl,
+ libldap2-dev, libremctl-dev (>= 3.1), libssl-dev, libtemplate-perl,
  libtimedate-perl, liburi-perl, libwww-perl, libxml-parser-perl, perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://webauth.stanford.edu/
 Vcs-Git: git://git.eyrie.org/kerberos/webauth.git
 Vcs-Browser: http://git.eyrie.org/?p=kerberos/webauth.git
@@ -55,6 +56,7 @@
 Section: perl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Breaks: libwebkdc-perl (<< 4.0.0), webauth-weblogin (<< 4.0.0)
 Description: Perl library for WebAuth authentication
  WebAuth is a cookie-based web authentication system built on top of
  Kerberos.  It relies on a central authentication server that handles all
@@ -65,7 +67,7 @@
  does token encoding and decoding and other lower-level parts of the
  WebAuth protocol.
 
-Package: libwebauth5
+Package: libwebauth6
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -83,7 +85,7 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libwebauth5 (= ${binary:Version})
+Depends: ${misc:Depends}, libwebauth6 (= ${binary:Version})
 Suggests: libkrb5-dev
 Replaces: libwebauth1-dev (<< 3.7.0)
 Breaks: libwebauth1-dev (<< 3.7.0)
@@ -112,6 +114,7 @@
  libcgi-fast-perl, libio-socket-ssl-perl, libtemplate-perl, liburi-perl,
  libwww-perl, libxml-parser-perl
 Suggests: libnet-remctl-perl, libtime-duration-perl, libtimedate-perl
+Breaks: webauth-weblogin (<< 4.0.0)
 Description: Perl libraries for WebAuth central login server
  WebAuth is a cookie-based web authentication system built on top of
  Kerberos.  It relies on a central authentication server that handles all
