## webauth 4.5.3

=== debian/changelog ===
webauth (4.5.3-5) unstable; urgency=low

  * Only remove /var/lib/webauth during purge if the directory exists.
    Both libapache2-mod-webauth and libapache2-mod-webauthldap create and
    use that directory, so it may have already been removed by the other
    package.  (Closes: #714602)

 -- Russ Allbery <rra@debian.org>  Mon, 01 Jul 2013 15:21:48 -0700

webauth (4.5.3-4) unstable; urgency=low

  * Apply upstream patch to fix incorrect linkage of some of the test
    programs.  (Closes: #713452)

 -- Russ Allbery <rra@debian.org>  Sun, 23 Jun 2013 12:14:52 -0700

webauth (4.5.3-3) unstable; urgency=low

  * Move mod_webauthldap into a separate libapache2-mod-webauthldap
    package.  This permits better dependencies, more closely conforms to
    the Apache module naming convention, and allows users who aren't
    interested in the LDAP module to easily remove it.  Note that the
    libapache2-mod-webauth package does not attempt to clean up
    configuration files left behind from the mod_webauthldap module, since
    nearly all users upgrading from an older version will end up with both
    packages installed, and removal of libapache2-mod-webauthldap will do
    the right thing.  Additional cleanup would only be needed for people
    upgrading from experimental versions of libapache2-mod-webauth who do
    not install libapache2-mod-webauthldap and doesn't seem worth the
    complexity.
  * Add proper Breaks/Replaces for the Apache module package renaming.
  * Pass LDFLAGS from the main build to the Perl module build so that the
    hardening flags are set properly.

 -- Russ Allbery <rra@debian.org>  Sun, 02 Jun 2013 12:12:40 -0700

webauth (4.5.3-2) unstable; urgency=low

  * Upload to unstable.
  * Now that dh_apache2 has an option to not enable the modules by
    default, let it handle all module setup for libapache2-mod-webauth
    except for the Apache restart and remove the now-unnecessary prerm
    script.
  * Simplify libcgi-application-perl Depends and Build-Depends by dropping
    the alternatives that were required for squeeze.
  * Add build dependency on dh-apache2 per the dh_apache2 manual page.

 -- Russ Allbery <rra@debian.org>  Thu, 30 May 2013 19:43:23 -0700

webauth (4.5.3-1) experimental; urgency=low

  * New upstream release.
    - SECURITY: Clear header state between requests to avoid information
      leaks or infinite redirects for WebLogin servers using FastCGI and
      $REMUSER_REDIRECT (not the default).  The vulnerability was
      introduced in WebAuth 4.4.1.  All versions of WebAuth with this
      vulnerability were only uploaded to Debian experimental.
      (CVE-2013-2106)

 -- Russ Allbery <rra@debian.org>  Wed, 15 May 2013 13:57:37 -0700

webauth (4.5.2-1) experimental; urgency=low

  * New upstream release.
    - WebLogin now supports preserving remember_login on authentication
      failure.  Template changes are required.
    - Fix clearing of failed authentication attempts on successful auth.
    - Fix setting cookies on the WebLogin error page.
    - Stop clearing single sign-on cookies on cookie test redirect.
  * Recommend the GSS-API SASL module packages for mod_webauthldap and
    document their need in README.Debian.
  * Update the Debian-specific installation instructions to reference
    conf-available and a2enconf instead of /etc/apache2/conf.d.

 -- Russ Allbery <rra@debian.org>  Tue, 14 May 2013 19:15:35 -0700

webauth (4.5.1-1) experimental; urgency=low

  * New upstream release.
    - Fix support for single sign-on in WebLogin, broken in 4.5.0.
    - Document additional template changes required for remember_login.
    - Preserve remember_login through a forced password change.
    - Pass any user information service message to the confirm template.
    - Avoid re-creating WebAuth cookies unnecessarily in WebLogin.
    - Fix a few bugs in the installable mod_webauth test suite.
  * Increase Breaks and minimum dependency versions between the WebLogin
    components to 4.5.0.
  * Remove a stray Debian revision in the libwebauth10 symbols file.

 -- Russ Allbery <rra@debian.org>  Wed, 01 May 2013 15:31:24 -0700

webauth (4.5.0-1) experimental; urgency=low

  * New upstream release.
    - WebLogin now supports indicating, on the login form template,
      whether to create single sign-on cookies.  The default form sends a
      parameter saying to do so, but the default behavior is to not create
      the cookies.  This will require a template change for most WebLogin
      deployments.
    - Revert change in WebAuthForceLogin interpretation introduced in
      WebAuth 4.4.0.  It once again requires authentication with a login
      token.  Document that it will not work well with authorization
      identities set after authentication.
    - Fix password change handling in WebLogin, broken since 4.4.0.
    - Fix reporting of password rejection reasons, broken since 4.3.0.
    - mod_webauth and mod_webkdc now produce much better error logs.
    - Initial multifactor no longer satisfies a requirement for random
      session multifactor, correcting a long-standing bug.
    - New WebAuthLdapOperationalAttribute directive for mod_webauthldap
      that allows inclusion of operational attributes in the environment.
    - WebLogin no longer supports obtaining the password expiration from a
      kadmin-remctl backend via a direct remctl call.  Instead, it uses
      the value from the WebKDC, which comes from the user information
      service.
    - The WebLogin confirmation page supports a new expire_timestamp
      variable, which contains the password expiration in seconds since
      UNIX epoch.  This should be used instead of the (deprecated)
      expire_date variable since it isn't preformatted and can therefore
      be localized.  See the sample confirm.tmpl template for how to
      format the date for display.
    - New support for persistent cookies containing additional factors,

